name: 'Create Pull Request'
description: 'Creates a pull request for changes to your repository in the actions workspace'
inputs:
  token:
    description: 'The token that the action will use to create and update the pull request.'
    default: ${{ github.token }}
  branch-token:
    description: >
      The token that the action will use to create and update the branch.
      Defaults to the value of `token`.
  path:
    description: >
      Relative path under $GITHUB_WORKSPACE to the repository.
      Defaults to $GITHUB_WORKSPACE.
  add-paths:
    description: >
      A comma or newline-separated list of file paths to commit.
      Paths should follow git's pathspec syntax.
      Defaults to adding all new and modified files.
  commit-message:
    description: 'The message to use when committing changes.'
    default: '[create-pull-request] automated change'
  committer:
    description: >
      The committer name and email address in the format `Display Name <email@address.com>`.
      Defaults to the GitHub Actions bot user.
    default: 'github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com>'
  author:
    description: >
      The author name and email address in the format `Display Name <email@address.com>`.
      Defaults to the user who triggered the workflow run.
    default: '${{ github.actor }} <${{ github.actor_id }}+${{ github.actor }}@users.noreply.github.com>'
  signoff:
    description: 'Add `Signed-off-by` line by the committer at the end of the commit log message.'
    default: false
  branch:
    description: 'The pull request branch name.'
    default: 'create-pull-request/patch'
  delete-branch:
    description: >
      Delete the `branch` if it doesn't have an active pull request associated with it.
    default: false
  branch-suffix:
    description: 'The branch suffix type when using the alternative branching strategy.'
  base:
    description: >
      The pull request base branch.
      Defaults to the branch checked out in the workflow.
  push-to-fork:
    description: >
      A fork of the checked out parent repository to which the pull request branch will be pushed.
      e.g. `owner/repo-fork`.
      The pull request will be created to merge the fork's branch into the parent's base.
  sign-commits:
    description: 'Sign commits as `github-actions[bot]` when using `GITHUB_TOKEN`, or your own bot when using GitHub App tokens.'
    default: false
  title:
    description: 'The title of the pull request.'
    default: 'Changes by create-pull-request action'
  body:
    description: 'The body of the pull request.'
    default: 'Automated changes by [create-pull-request](https://github.com/peter-evans/create-pull-request) GitHub action'
  body-path:
    description: 'The path to a file containing the pull request body. Takes precedence over `body`.'
  labels:
    description: 'A comma or newline separated list of labels.'
  assignees:
    description: 'A comma or newline separated list of assignees (GitHub usernames).'
  reviewers:
    description: 'A comma or newline separated list of reviewers (GitHub usernames) to request a review from.'
  team-reviewers:
    description: >
      A comma or newline separated list of GitHub teams to request a review from.
      Note that a `repo` scoped Personal Access Token (PAT) may be required.
  milestone:
    description: 'The number of the milestone to associate the pull request with.'
  draft:
    description: >
      Create a draft pull request.
      Valid values are `true` (only on create), `always-true` (on create and update), and `false`.
    default: false
  maintainer-can-modify:
    description: 'Indicates whether maintainers can modify the pull request.'
    default: true
outputs:
  pull-request-number:
    description: 'The pull request number'
  pull-request-url:
    description: 'The URL of the pull request.'
  pull-request-operation:
    description: 'The pull request operation performed by the action, `created`, `updated` or `closed`.'
  pull-request-head-sha:
    description: 'The commit SHA of the pull request branch.'
  pull-request-branch:
    description: 'The pull request branch name'
runs:
  using: 'node20'
  main: 'dist/index.js'
branding:
  icon: 'git-pull-request'
  color: 'gray-dark'
